package com.qmth.demo.api.auth;

import com.qmth.boot.core.security.model.AccessEntity;
import com.qmth.boot.core.security.service.AuthenticationService;
import com.qmth.boot.tools.signature.SignatureType;
import org.springframework.stereotype.Component;

@Component
public class DemoAuthenticationService implements AuthenticationService {

    @Override
    public AccessEntity findByIdentity(String identity, SignatureType type) {
        return new DemoSession(identity, "token");
    }
}
